uuid: 4706378a-3a02-48d7-8672-d8313e9c20f3
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_authors
    - field.storage.node.field_collection_type
    - field.storage.node.field_summary
    - field.storage.node.field_tags
    - field.storage.node.field_topics
    - search_api.server.database
    - core.entity_view_mode.node.search_index
  module:
    - node
    - user
    - search_api
_core:
  default_config_hash: _QVCLp7W8HxV52MEnKkYc2bX5i3NFf4ejVOfuTApG9g
id: collection
name: Collection
description: 'An index for the collection content type.'
read_only: false
field_settings:
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
    dependencies:
      module:
        - node
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
    dependencies:
      module:
        - node
  field_authors:
    label: Authors
    datasource_id: 'entity:node'
    property_path: field_authors
    type: integer
    dependencies:
      config:
        - field.storage.node.field_authors
  field_collection_type:
    label: 'Collection type'
    datasource_id: 'entity:node'
    property_path: field_collection_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_collection_type
  field_summary:
    label: Summary
    datasource_id: 'entity:node'
    property_path: field_summary
    type: text
    dependencies:
      config:
        - field.storage.node.field_summary
  field_tags:
    label: Tags
    datasource_id: 'entity:node'
    property_path: field_tags
    type: integer
    dependencies:
      config:
        - field.storage.node.field_tags
  field_topics:
    label: Topics
    datasource_id: 'entity:node'
    property_path: field_topics
    type: integer
    dependencies:
      config:
        - field.storage.node.field_topics
  name:
    label: 'Authored by » User » Name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - node
        - user
  promote:
    label: 'Promoted to front page'
    datasource_id: 'entity:node'
    property_path: promote
    type: boolean
    dependencies:
      module:
        - node
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        - anonymous
      view_mode:
        'entity:node':
          collection: search_index
  status:
    label: Published
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    dependencies:
      module:
        - node
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: string
    dependencies:
      module:
        - node
  uid:
    label: 'Authored by'
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - collection
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  language_with_fallback: {  }
  rendered_item: {  }
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: database
